# class Chef::Cookbook::MinimalMetadata

## Chef::Cookbook::MinimalMetadata¶ ↑

    MinimalMetadata is a duck type of Cookbook::Metadata, used
    internally by Chef Server when determining the optimal set of
    cookbooks for a node.

    MinimalMetadata objects typically contain only enough information
    to solve the cookbook collection for a run list, but not enough to
    generate the proper response

### Public Class Methods

new(name, params) click to toggle source

    # File lib/chef/cookbook/metadata.rb, line 647
    def initialize(name, params)
      @name = name
      from_hash(params)
    end